%global		commit 652cda78f9c96ae5cc70f1f8d797f60df74c4b67
%global		oname txsocksx
Name:		python-txsocksx
Version:	1.15.0.2
Release:	1%{?dist}
Summary:	Twisted client endpoints for SOCKS{4,4a,5}
License:	MIT
URL:		https://github.com/habnabit/txsocksx/
Source0:	https://github.com/habnabit/%{oname}/archive/%{commit}/%{oname}-%{commit}.tar.gz
Patch0:		python-txsocksx-drop-vcversioner.patch
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-sphinx
BuildRequires:	python-twisted
Requires:	python-twisted
Requires:	python-parsley

%description
python-txsocksx is SOCKS4/4a and SOCKS5 client endpoints
for Twisted 10.1 or greater.

%prep
%setup -q -n %{oname}-%{commit}
%patch0 -p1

%build
%{__python2} setup.py build
make -C docs html man
rm -f doc/_build/html/.buildinfo

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
cp -a %{_builddir}/%{oname}-%{commit}/docs/_build/man/%{oname}.1* %{buildroot}%{_mandir}/man1

# Checks are running partially due to problems with the default route in modules.
# Investigating with upstream
%check
pushd txsocksx/test
PYTHONPATH=$(pwd)
%{__python2} -m unittest -v util
# %%{__python2} -m unittest -v test_tls
# %%{__python2} -m unittest -v test_http
# %%{__python2} -m unittest -v test_grammar
# %%{__python2} -m unittest -v test_client
popd

%files
%doc COPYING README.rst
%{_mandir}/man1/%{oname}.1*
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/%{oname}/

%changelog
* Thu Aug 13 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.15.0.2-1
- Bump release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 13 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-5
- Escape macros in comments and bump release

* Mon Jan 12 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-4
- Fix files permissions

* Sat Jan 10 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-3
- Add check section and correct permissions on files

* Thu Jan 08 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-2
- Applying bugfixes accordingly to comments in BZ #1179949

* Wed Jan 07 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-1
- Initial package for Fedora
